aboutsummaryrefslogtreecommitdiffstats
path: root/sysutils/apt/files
diff options
context:
space:
mode:
authormiwi <miwi@FreeBSD.org>2007-02-12 07:00:35 +0800
committermiwi <miwi@FreeBSD.org>2007-02-12 07:00:35 +0800
commit509a9ef395ca114e7735b5441e25e355829f3c49 (patch)
tree37263ed046e93a09a98d7404a4f8ffaafd3fa777 /sysutils/apt/files
parent6a5d239992368706d198125303e027fe634640a3 (diff)
downloadfreebsd-ports-gnome-509a9ef395ca114e7735b5441e25e355829f3c49.tar.gz
freebsd-ports-gnome-509a9ef395ca114e7735b5441e25e355829f3c49.tar.zst
freebsd-ports-gnome-509a9ef395ca114e7735b5441e25e355829f3c49.zip
APT is the Debian project's advanced front-end for dpkg. APT features complete
installation ordering, multiple source capability and several other unique features. WWW: http://packages.debian.org/apt PR: ports/105563 Submitted by: Nick Barkas <snb at threerings.net>
Diffstat (limited to 'sysutils/apt/files')
-rw-r--r--sysutils/apt/files/patch-apt-pkg_deb_debsystem.cc25
-rw-r--r--sysutils/apt/files/patch-apt-pkg_deb_dpkgpm.cc13
-rw-r--r--sysutils/apt/files/patch-apt-pkg_init.cc41
-rw-r--r--sysutils/apt/files/patch-buildlib_archtable7
-rw-r--r--sysutils/apt/files/patch-buildlib_environment.mak.in18
-rw-r--r--sysutils/apt/files/patch-buildlib_ostable10
-rw-r--r--sysutils/apt/files/patch-cmdline_apt-key26
-rw-r--r--sysutils/apt/files/patch-cmdline_makefile51
-rw-r--r--sysutils/apt/files/patch-configure161
-rw-r--r--sysutils/apt/files/patch-doc_examples_sources.list14
-rw-r--r--sysutils/apt/files/patch-dselect_install17
-rw-r--r--sysutils/apt/files/patch-dselect_setup11
-rw-r--r--sysutils/apt/files/patch-dselect_update20
-rw-r--r--sysutils/apt/files/patch-ftparchive_cachedb.cc10
-rw-r--r--sysutils/apt/files/patch-ftparchive_contents.cc10
-rw-r--r--sysutils/apt/files/patch-ftparchive_makefile11
-rw-r--r--sysutils/apt/files/patch-methods_gpgv.cc13
-rw-r--r--sysutils/apt/files/patch-methods_makefile75
18 files changed, 533 insertions, 0 deletions
diff --git a/sysutils/apt/files/patch-apt-pkg_deb_debsystem.cc b/sysutils/apt/files/patch-apt-pkg_deb_debsystem.cc
new file mode 100644
index 000000000000..9bed53d71e6e
--- /dev/null
+++ b/sysutils/apt/files/patch-apt-pkg_deb_debsystem.cc
@@ -0,0 +1,25 @@
+--- apt-pkg/deb/debsystem.cc.orig Thu Mar 2 06:11:39 2006
++++ apt-pkg/deb/debsystem.cc Wed Oct 25 15:09:29 2006
+@@ -162,8 +162,8 @@
+ which is yet to be determined. The functions in pkgcachegen should
+ be the only users of these */
+ Cnf.CndSet("Dir::State::userstatus","status.user"); // Defunct
+- Cnf.CndSet("Dir::State::status","/var/lib/dpkg/status");
+- Cnf.CndSet("Dir::Bin::dpkg","/usr/bin/dpkg");
++ Cnf.CndSet("Dir::State::status","@DPKGDIR@/status");
++ Cnf.CndSet("Dir::Bin::dpkg","@LOCALBASE@/bin/dpkg");
+
+ if (StatusFile) {
+ delete StatusFile;
+@@ -191,9 +191,9 @@
+ signed debSystem::Score(Configuration const &Cnf)
+ {
+ signed Score = 0;
+- if (FileExists(Cnf.FindFile("Dir::State::status","/var/lib/dpkg/status")) == true)
++ if (FileExists(Cnf.FindFile("Dir::State::status","@DPKGDIR@/status")) == true)
+ Score += 10;
+- if (FileExists(Cnf.FindFile("Dir::Bin::dpkg","/usr/bin/dpkg")) == true)
++ if (FileExists(Cnf.FindFile("Dir::Bin::dpkg","@LOCALBASE@/bin/dpkg")) == true)
+ Score += 10;
+ if (FileExists("/etc/debian_version") == true)
+ Score += 10;
diff --git a/sysutils/apt/files/patch-apt-pkg_deb_dpkgpm.cc b/sysutils/apt/files/patch-apt-pkg_deb_dpkgpm.cc
new file mode 100644
index 000000000000..b0481cfc6839
--- /dev/null
+++ b/sysutils/apt/files/patch-apt-pkg_deb_dpkgpm.cc
@@ -0,0 +1,13 @@
+--- apt-pkg/deb/dpkgpm.cc.orig Sat Sep 30 07:17:49 2006
++++ apt-pkg/deb/dpkgpm.cc Mon Oct 23 13:42:03 2006
+@@ -515,8 +515,8 @@
+ it forks scripts. What happens is that when you hit ctrl-c it sends
+ it to all processes in the group. Since dpkg ignores the signal
+ it doesn't die but we do! So we must also ignore it */
+- sighandler_t old_SIGQUIT = signal(SIGQUIT,SIG_IGN);
+- sighandler_t old_SIGINT = signal(SIGINT,SIG_IGN);
++ sig_t old_SIGQUIT = signal(SIGQUIT,SIG_IGN);
++ sig_t old_SIGINT = signal(SIGINT,SIG_IGN);
+
+ // Fork dpkg
+ pid_t Child;
diff --git a/sysutils/apt/files/patch-apt-pkg_init.cc b/sysutils/apt/files/patch-apt-pkg_init.cc
new file mode 100644
index 000000000000..22536c70e01c
--- /dev/null
+++ b/sysutils/apt/files/patch-apt-pkg_init.cc
@@ -0,0 +1,41 @@
+--- apt-pkg/init.cc.orig Thu Mar 2 06:27:13 2006
++++ apt-pkg/init.cc Thu Nov 2 13:36:53 2006
+@@ -43,26 +43,19 @@
+ Cnf.Set("Dir","/");
+
+ // State
+- Cnf.Set("Dir::State","var/lib/apt/");
++ Cnf.Set("Dir::State","@APTDIR@/state");
+
+- /* Just in case something goes horribly wrong, we can fall back to the
+- old /var/state paths.. */
+- struct stat St;
+- if (stat("/var/lib/apt/.",&St) != 0 &&
+- stat("/var/state/apt/.",&St) == 0)
+- Cnf.Set("Dir::State","var/state/apt/");
+-
+ Cnf.Set("Dir::State::lists","lists/");
+ Cnf.Set("Dir::State::cdroms","cdroms.list");
+
+ // Cache
+- Cnf.Set("Dir::Cache","var/cache/apt/");
++ Cnf.Set("Dir::Cache","@APTDIR@/cache");
+ Cnf.Set("Dir::Cache::archives","archives/");
+ Cnf.Set("Dir::Cache::srcpkgcache","srcpkgcache.bin");
+ Cnf.Set("Dir::Cache::pkgcache","pkgcache.bin");
+
+ // Configuration
+- Cnf.Set("Dir::Etc","etc/apt/");
++ Cnf.Set("Dir::Etc","@PREFIX@/etc/apt/");
+ Cnf.Set("Dir::Etc::sourcelist","sources.list");
+ Cnf.Set("Dir::Etc::sourceparts","sources.list.d");
+ Cnf.Set("Dir::Etc::vendorlist","vendors.list");
+@@ -70,7 +63,7 @@
+ Cnf.Set("Dir::Etc::main","apt.conf");
+ Cnf.Set("Dir::Etc::parts","apt.conf.d");
+ Cnf.Set("Dir::Etc::preferences","preferences");
+- Cnf.Set("Dir::Bin::methods","/usr/lib/apt/methods");
++ Cnf.Set("Dir::Bin::methods","@PREFIX@/libexec/apt/methods");
+
+ bool Res = true;
+
diff --git a/sysutils/apt/files/patch-buildlib_archtable b/sysutils/apt/files/patch-buildlib_archtable
new file mode 100644
index 000000000000..f1e7c797faf1
--- /dev/null
+++ b/sysutils/apt/files/patch-buildlib_archtable
@@ -0,0 +1,7 @@
+--- buildlib/archtable.orig Thu Mar 2 06:26:52 2006
++++ buildlib/archtable Wed Nov 15 13:08:39 2006
+@@ -27,3 +27,4 @@
+ s390 s390
+ s390x s390x
+ x86_64 amd64
++amd64 amd64
diff --git a/sysutils/apt/files/patch-buildlib_environment.mak.in b/sysutils/apt/files/patch-buildlib_environment.mak.in
new file mode 100644
index 000000000000..37a651b7a066
--- /dev/null
+++ b/sysutils/apt/files/patch-buildlib_environment.mak.in
@@ -0,0 +1,18 @@
+--- buildlib/environment.mak.in.orig Thu Mar 2 05:56:30 2006
++++ buildlib/environment.mak.in Wed Oct 25 15:51:02 2006
+@@ -65,7 +65,14 @@
+ ifneq ($(words $(filter linux-gnu gnu% %gnu,$(HOST_OS))),0)
+ SONAME_MAGIC=-Wl,-soname -Wl,
+ LFLAGS_SO=
+-else
++endif
++
++ifneq ($(words $(filter freebsd% %freebsd,$(HOST_OS))),0)
++ SONAME_MAGIC=-Wl,-soname -Wl,
++ LFLAGS_SO=
++endif
++
++ifndef SONAME_MAGIC
+ # Do not know how to create shared libraries here.
+ ONLYSTATICLIBS = yes
+ endif
diff --git a/sysutils/apt/files/patch-buildlib_ostable b/sysutils/apt/files/patch-buildlib_ostable
new file mode 100644
index 000000000000..831d2481ebef
--- /dev/null
+++ b/sysutils/apt/files/patch-buildlib_ostable
@@ -0,0 +1,10 @@
+--- buildlib/ostable.orig Thu Mar 2 05:46:44 2006
++++ buildlib/ostable Wed Oct 25 14:58:59 2006
+@@ -16,6 +16,7 @@
+ hp-hpux[^-]* hp-ux
+ sun-solaris[^-]* solaris
+ [^-]*-openbsd[^-]* openbsd
++[^-]*-freebsd[^-]* freebsd
+
+ # Catch all
+ .* unknown
diff --git a/sysutils/apt/files/patch-cmdline_apt-key b/sysutils/apt/files/patch-cmdline_apt-key
new file mode 100644
index 000000000000..995618da7416
--- /dev/null
+++ b/sysutils/apt/files/patch-cmdline_apt-key
@@ -0,0 +1,26 @@
+--- cmdline/apt-key.orig Thu Mar 2 06:28:27 2006
++++ cmdline/apt-key Tue Oct 24 16:11:08 2006
+@@ -5,18 +5,17 @@
+ # We don't use a secret keyring, of course, but gpg panics and
+ # implodes if there isn't one available
+
+-GPG_CMD="gpg --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg"
+-GPG="$GPG_CMD --keyring /etc/apt/trusted.gpg"
++GPG_CMD="gpg --no-options --no-default-keyring --secret-keyring @PREFIX@/etc/apt/secring.gpg --trustdb-name @PREFIX@/etc/apt/trustdb.gpg"
++GPG="$GPG_CMD --keyring @PREFIX@/etc/apt/trusted.gpg"
+
+
+-ARCHIVE_KEYRING=/usr/share/keyrings/debian-archive-keyring.gpg
+-REMOVED_KEYS=/usr/share/keyrings/debian-archive-removed-keys.gpg
++ARCHIVE_KEYRING=@PREFIX@/share/apt/keyrings/freebsd-archive-keyring.gpg
++REMOVED_KEYS=@PREFIX@/share/apt/keyrings/freebsd-archive-removed-keys.gpg
+
+
+ update() {
+ if [ ! -f $ARCHIVE_KEYRING ]; then
+- echo >&2 "ERROR: Can't find the archive-keyring"
+- echo >&2 "Is the debian-archive-keyring package installed?"
++ echo >&2 "ERROR: Can't find the archive-keyring: $ARCHIVE_KEYRING"
+ exit 1
+ fi
+
diff --git a/sysutils/apt/files/patch-cmdline_makefile b/sysutils/apt/files/patch-cmdline_makefile
new file mode 100644
index 000000000000..bb14b5632a3c
--- /dev/null
+++ b/sysutils/apt/files/patch-cmdline_makefile
@@ -0,0 +1,51 @@
+--- cmdline/makefile.orig Thu Mar 2 05:58:42 2006
++++ cmdline/makefile Mon Oct 23 16:38:13 2006
+@@ -7,42 +7,42 @@
+
+ # The apt-cache program
+ PROGRAM=apt-cache
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = apt-cache.cc
+ include $(PROGRAM_H)
+
+ # The apt-get program
+ PROGRAM=apt-get
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = apt-get.cc acqprogress.cc
+ include $(PROGRAM_H)
+
+ # The apt-config program
+ PROGRAM=apt-config
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = apt-config.cc
+ include $(PROGRAM_H)
+
+ # The apt-cdrom program
+ PROGRAM=apt-cdrom
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = apt-cdrom.cc
+ include $(PROGRAM_H)
+
+ # The apt-sortpkgs program
+ PROGRAM=apt-sortpkgs
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = apt-sortpkgs.cc
+ include $(PROGRAM_H)
+
+ # The apt-extracttemplates program
+ PROGRAM=apt-extracttemplates
+-SLIBS = -lapt-pkg -lapt-inst
++SLIBS = -lapt-pkg -lapt-inst $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = apt-extracttemplates.cc
+ include $(PROGRAM_H)
diff --git a/sysutils/apt/files/patch-configure b/sysutils/apt/files/patch-configure
new file mode 100644
index 000000000000..ae108c0cfd24
--- /dev/null
+++ b/sysutils/apt/files/patch-configure
@@ -0,0 +1,161 @@
+--- configure.orig Wed Oct 11 00:03:36 2006
++++ configure Thu Oct 26 14:32:09 2006
+@@ -7523,8 +7523,8 @@
+
+
+
+-{ echo "$as_me:$LINENO: checking for h_errno" >&5
+-echo $ECHO_N "checking for h_errno... $ECHO_C" >&6; }
++{ echo "$as_me:$LINENO: checking if netdb.h declares h_errno" >&5
++echo $ECHO_N "checking if netdb.h declares h_errno... $ECHO_C" >&6; }
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF
+@@ -7533,14 +7533,51 @@
+ /* end confdefs.h. */
+ #include <netdb.h>
+
++int main() { return h_errno; }
++
+ _ACEOF
+-if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+- $EGREP "h_errno" >/dev/null 2>&1; then
+- { echo "$as_me:$LINENO: result: normal" >&5
+-echo "${ECHO_T}normal" >&6; }
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++ (eval $ac_link) 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } &&
++ { ac_try='test -z "$ac_c_werror_flag"
++ || test ! -s conftest.err'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; } &&
++ { ac_try='test -s conftest$ac_exeext'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; }; then
++
++ aptget_cv_netdb_declares_h_errno=yes
++
+ else
+- CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
+- cat >conftest.$ac_ext <<_ACEOF
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ aptget_cv_netdb_declares_h_errno=no
++
++fi
++rm -f conftest.err conftest.$ac_objext \
++ conftest$ac_exeext conftest.$ac_ext
++
++if test "x$aptget_cv_netdb_declares_h_errno" = "xno"; then
++ CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
++fi
++
++cat >conftest.$ac_ext <<_ACEOF
++
++
+ /* confdefs.h. */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+@@ -7548,22 +7585,52 @@
+ /* end confdefs.h. */
+ #include <netdb.h>
+
++int main() { return h_errno; }
++
+ _ACEOF
+-if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+- $EGREP "h_errno" >/dev/null 2>&1; then
+- { echo "$as_me:$LINENO: result: needs _XOPEN_SOURCE_EXTENDED" >&5
+-echo "${ECHO_T}needs _XOPEN_SOURCE_EXTENDED" >&6; }
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++ (eval $ac_link) 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } &&
++ { ac_try='test -z "$ac_c_werror_flag"
++ || test ! -s conftest.err'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; } &&
++ { ac_try='test -s conftest$ac_exeext'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; }; then
++
++ aptget_cv_netdb_declares_h_errno=yes
++
+ else
+- { { echo "$as_me:$LINENO: error: \"not found.\"" >&5
+-echo "$as_me: error: \"not found.\"" >&2;}
+- { (exit 1); exit 1; }; }
+-fi
+-rm -f conftest*
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
+
++ aptget_cv_netdb_declares_h_errno=no
+
+ fi
+-rm -f conftest*
++rm -f conftest.err conftest.$ac_objext \
++ conftest$ac_exeext conftest.$ac_ext
+
++echo "$as_me:$LINENO: result: $aptget_cv_netdb_declares_h_errno" >&5
++echo "${ECHO_T}$aptget_cv_netdb_declares_h_errno" >&6
++
++if test "x$aptget_cv_netdb_declares_h_errno" = "xno"; then
++ { { echo "$as_me:$LINENO: error: h_errno is required" >&5
++echo "$as_me: error: h_errno is required" >&2;}
++ { (exit 1); exit 1; }; }
++fi
+
+ # Extract the first word of "debiandoc2html", so it can be a program name with args.
+ set dummy debiandoc2html; ac_word=$2
+@@ -7942,15 +8009,16 @@
+ { echo "$as_me:$LINENO: result: $GLIBC_VER" >&5
+ echo "${ECHO_T}$GLIBC_VER" >&6; }
+ ac_cv_glibc_ver=$GLIBC_VER
++ GLIBC_VER="-$ac_cv_glibc_ver"
+ else
+ { echo "$as_me:$LINENO: WARNING: cannot determine GNU C library minor version number" >&5
+ echo "$as_me: WARNING: cannot determine GNU C library minor version number" >&2;}
++ GLIBC_VER=""
+ fi
+ rm -f $dummy $dummy.c
+
+ fi
+
+- GLIBC_VER="-$ac_cv_glibc_ver"
+
+
+ { echo "$as_me:$LINENO: checking libstdc++ version" >&5
+@@ -11448,7 +11516,7 @@
+ ;;
+ esac
+ done ;;
+- "default":C) make -s dirs ;;
++ "default":C) gmake -s dirs ;;
+
+ esac
+ done # for ac_tag
diff --git a/sysutils/apt/files/patch-doc_examples_sources.list b/sysutils/apt/files/patch-doc_examples_sources.list
new file mode 100644
index 000000000000..e988da807d76
--- /dev/null
+++ b/sysutils/apt/files/patch-doc_examples_sources.list
@@ -0,0 +1,14 @@
+--- doc/examples/sources.list.orig Tue Sep 12 03:55:21 2006
++++ doc/examples/sources.list Thu Nov 2 13:52:02 2006
+@@ -1,9 +1,7 @@
+ # See sources.list(5) for more information, especialy
+ # Remember that you can only use http, ftp or file URIs
+ # CDROMs are managed through the apt-cdrom tool.
+-deb http://http.us.debian.org/debian stable main contrib non-free
+-deb http://security.debian.org stable/updates main contrib non-free
++deb http://www.example.com/packages stable main contrib non-free
+
+ # Uncomment if you want the apt-get source function to work
+-#deb-src http://http.us.debian.org/debian stable main contrib non-free
+-#deb-src http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
++#deb-src http://www.example.com/packages stable main contrib non-free
diff --git a/sysutils/apt/files/patch-dselect_install b/sysutils/apt/files/patch-dselect_install
new file mode 100644
index 000000000000..3c724ec0df28
--- /dev/null
+++ b/sysutils/apt/files/patch-dselect_install
@@ -0,0 +1,17 @@
+--- dselect/install.orig Thu Mar 2 05:28:29 2006
++++ dselect/install Wed Oct 25 15:17:58 2006
+@@ -3,11 +3,11 @@
+ # Set the textdomain for the translations using $"..."
+ TEXTDOMAIN="apt"
+
+-# Get the configuration from /etc/apt/apt.conf
++# Get the configuration from @PREFIX@/etc/apt/apt.conf
+ CLEAN="prompt"
+ OPTS="-f"
+-APTGET="/usr/bin/apt-get"
+-DPKG="/usr/bin/dpkg"
++APTGET="@PREFIX@/bin/apt-get"
++DPKG="@LOCALBASE@/bin/dpkg"
+ DPKG_OPTS="--admindir=$1"
+ APT_OPT0="-oDir::State::status=$1/status"
+ APT_OPT1="-oDPkg::Options::=$DPKG_OPTS"
diff --git a/sysutils/apt/files/patch-dselect_setup b/sysutils/apt/files/patch-dselect_setup
new file mode 100644
index 000000000000..b324cbddc3f0
--- /dev/null
+++ b/sysutils/apt/files/patch-dselect_setup
@@ -0,0 +1,11 @@
+--- dselect/setup.orig Thu Mar 2 05:33:56 2006
++++ dselect/setup Wed Oct 25 15:18:38 2006
+@@ -23,7 +23,7 @@
+ my $vardir=$ARGV[0];
+ my $method=$ARGV[1];
+ my $option=$ARGV[2];
+-my $config_file = '/etc/apt/sources.list';
++my $config_file = '@PREFIX@/etc/apt/sources.list';
+
+ my $boldon=`setterm -bold on`;
+ my $boldoff=`setterm -bold off`;
diff --git a/sysutils/apt/files/patch-dselect_update b/sysutils/apt/files/patch-dselect_update
new file mode 100644
index 000000000000..48481eb0bff9
--- /dev/null
+++ b/sysutils/apt/files/patch-dselect_update
@@ -0,0 +1,20 @@
+--- dselect/update.orig Thu Mar 2 06:06:31 2006
++++ dselect/update Wed Oct 25 15:20:34 2006
+@@ -7,13 +7,13 @@
+ # Get the configuration from /etc/apt/apt.conf
+ CLEAN="prompt"
+ OPTS="-f"
+-APTGET="/usr/bin/apt-get"
+-APTCACHE="/usr/bin/apt-cache"
+-DPKG="/usr/bin/dpkg"
++APTGET="@PREFIX@/bin/apt-get"
++APTCACHE="@PREFIX@/bin/apt-cache"
++DPKG="@LOCALBASE@/bin/dpkg"
+ DPKG_OPTS="--admindir=$1"
+ APT_OPT0="-oDir::State::status=$1/status"
+ APT_OPT1="-oDPkg::Options::=$DPKG_OPTS"
+-CACHEDIR="/var/cache/apt"
++CACHEDIR="@APTDIR@/cache"
+ PROMPT="false"
+ RES=`apt-config shell CLEAN DSelect::Clean OPTS DSelect::UpdateOptions \
+ DPKG Dir::Bin::dpkg/f APTGET Dir::Bin::apt-get/f \
diff --git a/sysutils/apt/files/patch-ftparchive_cachedb.cc b/sysutils/apt/files/patch-ftparchive_cachedb.cc
new file mode 100644
index 000000000000..0465d54a4d6b
--- /dev/null
+++ b/sysutils/apt/files/patch-ftparchive_cachedb.cc
@@ -0,0 +1,10 @@
+--- ftparchive/cachedb.cc.orig Tue Jul 25 00:35:54 2006
++++ ftparchive/cachedb.cc Tue Nov 14 17:06:17 2006
+@@ -25,6 +25,7 @@
+ #include <apt-pkg/configuration.h>
+
+ #include <netinet/in.h> // htonl, etc
++#include <publib.h>
+ /*}}}*/
+
+ // CacheDB::ReadyDB - Ready the DB2 /*{{{*/
diff --git a/sysutils/apt/files/patch-ftparchive_contents.cc b/sysutils/apt/files/patch-ftparchive_contents.cc
new file mode 100644
index 000000000000..94a91855eb32
--- /dev/null
+++ b/sysutils/apt/files/patch-ftparchive_contents.cc
@@ -0,0 +1,10 @@
+--- ftparchive/contents.cc.orig Thu Mar 2 06:06:31 2006
++++ ftparchive/contents.cc Tue Nov 14 17:13:30 2006
+@@ -41,7 +41,6 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>
+-#include <malloc.h>
+ /*}}}*/
+
+ // GenContents::~GenContents - Free allocated memory /*{{{*/
diff --git a/sysutils/apt/files/patch-ftparchive_makefile b/sysutils/apt/files/patch-ftparchive_makefile
new file mode 100644
index 000000000000..e163f9d30422
--- /dev/null
+++ b/sysutils/apt/files/patch-ftparchive_makefile
@@ -0,0 +1,11 @@
+--- ftparchive/makefile.orig Thu Mar 2 05:45:55 2006
++++ ftparchive/makefile Tue Nov 14 17:19:51 2006
+@@ -8,7 +8,7 @@
+ # The apt-ftparchive program
+ ifdef BDBLIB
+ PROGRAM=apt-ftparchive
+-SLIBS = -lapt-pkg -lapt-inst $(BDBLIB)
++SLIBS = -lapt-pkg -lapt-inst -lpub $(BDBLIB)
+ LIB_MAKES = apt-pkg/makefile apt-inst/makefile
+ SOURCE = apt-ftparchive.cc cachedb.cc writer.cc contents.cc override.cc \
+ multicompress.cc
diff --git a/sysutils/apt/files/patch-methods_gpgv.cc b/sysutils/apt/files/patch-methods_gpgv.cc
new file mode 100644
index 000000000000..11532d927474
--- /dev/null
+++ b/sysutils/apt/files/patch-methods_gpgv.cc
@@ -0,0 +1,13 @@
+--- methods/gpgv.cc.orig Tue Jul 25 04:19:02 2006
++++ methods/gpgv.cc Tue Nov 14 21:18:00 2006
+@@ -52,8 +52,8 @@
+ FILE *pipein;
+ int status;
+ struct stat buff;
+- string gpgvpath = _config->Find("Dir::Bin::gpg", "/usr/bin/gpgv");
+- string pubringpath = _config->Find("APT::GPGV::TrustedKeyring", "/etc/apt/trusted.gpg");
++ string gpgvpath = _config->Find("Dir::Bin::gpg", "@LOCALBASE@/bin/gpgv");
++ string pubringpath = _config->Find("APT::GPGV::TrustedKeyring", "@PREFIX@/etc/apt/trusted.gpg");
+ if (_config->FindB("Debug::Acquire::gpgv", false))
+ {
+ std::cerr << "gpgv path: " << gpgvpath << std::endl;
diff --git a/sysutils/apt/files/patch-methods_makefile b/sysutils/apt/files/patch-methods_makefile
new file mode 100644
index 000000000000..b8fab22addf1
--- /dev/null
+++ b/sysutils/apt/files/patch-methods_makefile
@@ -0,0 +1,75 @@
+--- methods/makefile.orig Sun Apr 2 04:04:07 2006
++++ methods/makefile Mon Oct 23 16:30:57 2006
+@@ -12,63 +12,63 @@
+
+ # The file method
+ PROGRAM=file
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = file.cc
+ include $(PROGRAM_H)
+
+ # The copy method
+ PROGRAM=copy
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = copy.cc
+ include $(PROGRAM_H)
+
+ # The gzip method
+ PROGRAM=gzip
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = gzip.cc
+ include $(PROGRAM_H)
+
+ # The gpgv method
+ PROGRAM=gpgv
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = gpgv.cc
+ include $(PROGRAM_H)
+
+ # The cdrom method
+ PROGRAM=cdrom
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = cdrom.cc
+ include $(PROGRAM_H)
+
+ # The http method
+ PROGRAM=http
+-SLIBS = -lapt-pkg $(SOCKETLIBS)
++SLIBS = -lapt-pkg $(SOCKETLIBS) $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = http.cc rfc2553emu.cc connect.cc
+ include $(PROGRAM_H)
+
+ # The ftp method
+ PROGRAM=ftp
+-SLIBS = -lapt-pkg $(SOCKETLIBS)
++SLIBS = -lapt-pkg $(SOCKETLIBS) $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = ftp.cc rfc2553emu.cc connect.cc
+ include $(PROGRAM_H)
+
+ # The rred method
+ PROGRAM=rred
+-SLIBS = -lapt-pkg $(SOCKETLIBS)
++SLIBS = -lapt-pkg $(SOCKETLIBS) $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = rred.cc
+ include $(PROGRAM_H)
+
+ # The rsh method
+ PROGRAM=rsh
+-SLIBS = -lapt-pkg
++SLIBS = -lapt-pkg $(INTLLIBS)
+ LIB_MAKES = apt-pkg/makefile
+ SOURCE = rsh.cc
+ include $(PROGRAM_H)